## dablin 1.8.0

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################

cmake_minimum_required(VERSION 2.8)
project(dablin C CXX)

# Select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

enable_testing()


########################################################################
# Build the FEC library before setting up DABlin application builds.
########################################################################

add_subdirectory(fec)


########################################################################
# Version information
########################################################################

# version derived from git (if possible)
execute_process(
	COMMAND git describe --dirty
	OUTPUT_VARIABLE VERSION_FROM_GIT
	ERROR_QUIET
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

if(VERSION_FROM_GIT)
	add_definitions(-DDABLIN_VERSION="${VERSION_FROM_GIT}")
	set(VERSION_OUTPUT ${VERSION_FROM_GIT})
else()
	set(VERSION_OUTPUT "[see src/version.h]")
endif()

########################################################################
# Compiler specific setup
########################################################################

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_COMPILER_IS_CLANGXX 1)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    add_definitions(-std=c++0x)
    add_definitions(-Wall)
    add_definitions(-Wextra)
elseif(MSVC)
    # TODO
endif()


########################################################################
# Find build dependencies
########################################################################

find_package(PkgConfig)
find_package(Threads REQUIRED)

# SDL2
if(NOT DISABLE_SDL)
    pkg_check_modules(SDL2 sdl2 REQUIRED)
    if(NOT SDL2_FOUND)
        message(FATAL_ERROR "SDL2 required to compile dablin\n")
    endif()
	include_directories(${SDL2_INCLUDE_DIRS})
	link_directories(${SDL2_LIBRARY_DIRS})
	list(APPEND dablin_sources sdl_output.cpp)
else()
    add_definitions(-DDABLIN_DISABLE_SDL)
endif()

# libmpg123
pkg_check_modules(MPG123 libmpg123 REQUIRED)
if(NOT MPG123_FOUND)
    message(FATAL_ERROR "libmpg123 required to compile dablin\n")
endif()
include_directories(${MPG123_INCLUDE_DIRS})
link_directories(${MPG123_LIBRARY_DIRS})

# gtkmm 3.0
pkg_check_modules(GTKMM gtkmm-3.0)
if(GTKMM_FOUND)
    include_directories(${GTKMM_INCLUDE_DIRS})
    link_directories(${GTKMM_LIBRARY_DIRS})
endif()

# libfaad2
find_package(FAAD)


# fdk-aac
pkg_check_modules(FDKAAC fdk-aac)

# fdk-aac-dabplus
pkg_check_modules(FDKAAC-DABPLUS fdk-aac-dabplus)

if(USE_FDK-AAC)
    if(NOT(FDKAAC_FOUND OR FDKAAC-DABPLUS_FOUND))
        message(FATAL_ERROR "fdk-aac or fdk-aac-dabplus required to compile dablin with USE_FDK-AAC\n")
    endif()
    if(FDKAAC-DABPLUS_FOUND)
        include_directories(${FDKAAC-DABPLUS_INCLUDE_DIRS})
        link_directories(${FDKAAC-DABPLUS_LIBRARY_DIRS})
        list(APPEND AAC_LIB ${FDKAAC-DABPLUS_LIBRARIES})
    else()
        include_directories(${FDKAAC_INCLUDE_DIRS})
        link_directories(${FDKAAC_LIBRARY_DIRS})
        list(APPEND AAC_LIB ${FDKAAC_LIBRARIES})
    endif()
    add_definitions(-DDABLIN_AAC_FDKAAC)
else()
    if(NOT FAAD_FOUND)
        message(FATAL_ERROR "libfaad required to compile dablin\n")
    endif()
    include_directories(${FAAD_INCLUDE_DIRS})
    link_directories(${FAAD_LIBRARY_DIRS})
    list(APPEND AAC_LIB ${FAAD_LIBRARIES})
    add_definitions(-DDABLIN_AAC_FAAD2)
endif()

# iconv
find_package(ICONV REQUIRED)
if(NOT ICONV_FOUND)
    message(FATAL_ERROR "iconv required to compile dablin\n")
endif()
include_directories(${ICONV_INCLUDE_DIRS})
link_directories(${ICONV_LIBRARY_DIRS})

########################################################################
# Setup DABlin application build
########################################################################

add_subdirectory(src)
add_subdirectory(doc)

########################################################################
# Print Summary
########################################################################
message(STATUS "")
message(STATUS "##########################################################")
message(STATUS "## Building version: ${VERSION_OUTPUT}")
message(STATUS "## Using install prefix: ${CMAKE_INSTALL_PREFIX}")
if(NOT GTKMM_FOUND)
    message(STATUS "## gtkmm not found, thus do not build dablin_gtk")
endif()
message(STATUS "##########################################################")
message(STATUS "")


########################################################################
# Create uninstall target
########################################################################

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== src/CMakeLists.txt ===
########################################################################
# Setup apps
########################################################################

list(APPEND dablin_sources
    dabplus_decoder.cpp
    eti_source.cpp
    eti_player.cpp
    dab_decoder.cpp
    fic_decoder.cpp
    pcm_output.cpp
    tools.cpp
    version.cpp
    )

set(dablin_cli_sources
    dablin.cpp
    )

set(dablin_gtk_sources
    mot_manager.cpp
    pad_decoder.cpp
    dablin_gtk.cpp
    )

set(common_link_list
    fec
    ${CMAKE_THREAD_LIBS_INIT} ${MPG123_LIBRARIES} ${SDL2_LIBRARIES} ${AAC_LIB} ${ICONV_LIBRARIES}
    )

include_directories(../fec)


########################################################################
# Build the applications and add install rules.
########################################################################

# dablin
add_executable(dablin ${dablin_sources} ${dablin_cli_sources})
target_link_libraries(dablin ${common_link_list})
install(TARGETS dablin DESTINATION bin)

# dablin_gtk
if(GTKMM_FOUND)
    add_executable(dablin_gtk ${dablin_sources} ${dablin_gtk_sources})
    target_link_libraries(dablin_gtk ${common_link_list} ${GTKMM_LIBRARIES})
    install(TARGETS dablin_gtk DESTINATION bin)
endif()

=== debian/changelog ===
dablin (1.8.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/*.1 dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 22 Feb 2018 14:44:08 +0100

dablin (1.7.0-2) unstable; urgency=medium

  * Remove compiler optimisations from fec/*. (Closes: #887923)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 22 Jan 2018 12:09:08 +0100

dablin (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #870808)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 18 Jan 2018 12:57:30 +0100

=== debian/control ===
Source: dablin
Section: hamradio
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
Standards-Version: 4.1.3
Homepage: http://www.opendigitalradio.org/

Package: dablin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CLI and GTK GUI DAB & DAB+ receiver client
 This plays a DAB and DAB+ audio service – either from a received live
 transmission or from a stored ensemble recording (frame-aligned ETI-
 NI). Both DAB (MP2) and DAB+ (AAC-LC, HE-AAC, HE-AAC v2) services are
 supported by DABlin.

=== debian/rules ===
#!/usr/bin/make -f
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/Opendigitalradio/dablin/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dablin 1.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,9 +52,9 @@
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
-    add_definitions(-std=c++0x)
-    add_definitions(-Wall)
-    add_definitions(-Wextra)
+    add_compile_options(-std=c++0x)
+    add_compile_options(-Wall)
+    add_compile_options(-Wextra)
 elseif(MSVC)
     # TODO
 endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
     )
 
 set(common_link_list
-    fec
+    atomic fec
     ${CMAKE_THREAD_LIBS_INIT} ${MPG123_LIBRARIES} ${SDL2_LIBRARIES} ${AAC_LIB} ${ICONV_LIBRARIES}
     )
 
@@ -37,12 +37,14 @@
 
 # dablin
 add_executable(dablin ${dablin_sources} ${dablin_cli_sources})
+set_property(TARGET dablin APPEND PROPERTY LINK_FLAGS -Wl,--as-needed)
 target_link_libraries(dablin ${common_link_list})
 install(TARGETS dablin DESTINATION bin)
 
 # dablin_gtk
 if(GTKMM_FOUND)
     add_executable(dablin_gtk ${dablin_sources} ${dablin_gtk_sources})
+    set_property(TARGET dablin_gtk APPEND PROPERTY LINK_FLAGS -Wl,--as-needed)
     target_link_libraries(dablin_gtk ${common_link_list} ${GTKMM_LIBRARIES})
     install(TARGETS dablin_gtk DESTINATION bin)
 endif()

=== debian/changelog ===
dablin (1.8.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 22 Mar 2018 07:13:01 +0100

dablin (1.8.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 15 Mar 2018 09:58:54 +0100

## dablin 1.9.0

=== debian/changelog ===
dablin (1.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.2.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 03 Sep 2018 09:51:39 +0200

## dablin 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Project setup
 ########################################################################
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.4)
 project(dablin C CXX)
 
 # Select the release build type by default to get optimization flags
@@ -13,6 +13,8 @@
 set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)
+
+include(CheckCXXSourceCompiles)
 
 enable_testing()
 
@@ -59,6 +61,12 @@
     # TODO
 endif()
 
+# support 2GB+ files on 32bit systems
+add_definitions(-D_FILE_OFFSET_BITS=64)
+
+# enable newer POSIX API
+add_definitions(-D_POSIX_C_SOURCE=200809L)
+
 
 ########################################################################
 # Find build dependencies
@@ -70,9 +78,6 @@
 # SDL2
 if(NOT DISABLE_SDL)
     pkg_check_modules(SDL2 sdl2 REQUIRED)
-    if(NOT SDL2_FOUND)
-        message(FATAL_ERROR "SDL2 required to compile dablin\n")
-    endif()
 	include_directories(${SDL2_INCLUDE_DIRS})
 	link_directories(${SDL2_LIBRARY_DIRS})
 	list(APPEND dablin_sources sdl_output.cpp)
@@ -82,9 +87,6 @@
 
 # libmpg123
 pkg_check_modules(MPG123 libmpg123 REQUIRED)
-if(NOT MPG123_FOUND)
-    message(FATAL_ERROR "libmpg123 required to compile dablin\n")
-endif()
 include_directories(${MPG123_INCLUDE_DIRS})
 link_directories(${MPG123_LIBRARY_DIRS})
 
@@ -95,17 +97,10 @@
     link_directories(${GTKMM_LIBRARY_DIRS})
 endif()
 
-# libfaad2
-find_package(FAAD)
-
-
-# fdk-aac
-pkg_check_modules(FDKAAC fdk-aac)
-
-# fdk-aac-dabplus
-pkg_check_modules(FDKAAC-DABPLUS fdk-aac-dabplus)
-
 if(USE_FDK-AAC)
+    # fdk-aac / fdk-aac-dabplus
+    pkg_check_modules(FDKAAC fdk-aac)
+    pkg_check_modules(FDKAAC-DABPLUS fdk-aac-dabplus)
     if(NOT(FDKAAC_FOUND OR FDKAAC-DABPLUS_FOUND))
         message(FATAL_ERROR "fdk-aac or fdk-aac-dabplus required to compile dablin with USE_FDK-AAC\n")
     endif()
@@ -120,9 +115,8 @@
     endif()
     add_definitions(-DDABLIN_AAC_FDKAAC)
 else()
-    if(NOT FAAD_FOUND)
-        message(FATAL_ERROR "libfaad required to compile dablin\n")
-    endif()
+    # libfaad2
+    find_package(FAAD REQUIRED)
     include_directories(${FAAD_INCLUDE_DIRS})
     link_directories(${FAAD_LIBRARY_DIRS})
     list(APPEND AAC_LIB ${FAAD_LIBRARIES})
@@ -131,11 +125,21 @@
 
 # iconv
 find_package(ICONV REQUIRED)
-if(NOT ICONV_FOUND)
-    message(FATAL_ERROR "iconv required to compile dablin\n")
-endif()
 include_directories(${ICONV_INCLUDE_DIRS})
 link_directories(${ICONV_LIBRARY_DIRS})
+
+# atomic
+list(APPEND CMAKE_REQUIRED_FLAGS -std=c++0x)
+check_cxx_source_compiles("
+    #include <atomic>
+    std::atomic<double> x(1.0);
+    int main() {return x;}"
+    NATIVE_ATOMICS_SUPPORT
+    )
+if(NOT NATIVE_ATOMICS_SUPPORT)
+    find_package(ATOMIC REQUIRED)
+    link_directories(${ATOMIC_LIBRARY_DIRS})
+endif()
 
 ########################################################################
 # Setup DABlin application build

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -21,11 +21,12 @@
     mot_manager.cpp
     pad_decoder.cpp
     dablin_gtk.cpp
+    dablin_gtk_sls.cpp
     )
 
 set(common_link_list
-    atomic fec
-    ${CMAKE_THREAD_LIBS_INIT} ${MPG123_LIBRARIES} ${SDL2_LIBRARIES} ${AAC_LIB} ${ICONV_LIBRARIES}
+    fec
+    ${ATOMIC_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MPG123_LIBRARIES} ${SDL2_LIBRARIES} ${AAC_LIB} ${ICONV_LIBRARIES}
     )
 
 include_directories(../fec)
@@ -37,14 +38,12 @@
 
 # dablin
 add_executable(dablin ${dablin_sources} ${dablin_cli_sources})
-set_property(TARGET dablin APPEND PROPERTY LINK_FLAGS -Wl,--as-needed)
 target_link_libraries(dablin ${common_link_list})
 install(TARGETS dablin DESTINATION bin)
 
 # dablin_gtk
 if(GTKMM_FOUND)
     add_executable(dablin_gtk ${dablin_sources} ${dablin_gtk_sources})
-    set_property(TARGET dablin_gtk APPEND PROPERTY LINK_FLAGS -Wl,--as-needed)
     target_link_libraries(dablin_gtk ${common_link_list} ${GTKMM_LIBRARIES})
     install(TARGETS dablin_gtk DESTINATION bin)
 endif()

=== debian/changelog ===
dablin (1.10.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 09 Dec 2018 13:14:41 +0100

=== debian/control ===
Source: dablin
Section: hamradio
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
Standards-Version: 4.2.1
Homepage: http://www.opendigitalradio.org/

Package: dablin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CLI and GTK+ GUI DAB & DAB+ receiver client
 This plays a DAB and DAB+ audio service – either from a received live
 transmission or from a stored ensemble recording (frame-aligned ETI-
 NI). Both DAB (MP2) and DAB+ (AAC-LC, HE-AAC, HE-AAC v2) services are
 supported by DABlin.

## dablin 1.11.0

=== debian/changelog ===
dablin (1.11.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 10 Aug 2019 18:17:55 +0200

dablin (1.11.0-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Jun 2019 10:00:08 +0200

## dablin 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,11 +54,28 @@
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
+    # C++11
     add_compile_options(-std=c++0x)
+    
+    # warnings
     add_compile_options(-Wall)
     add_compile_options(-Wextra)
 elseif(MSVC)
     # TODO
+endif()
+if(CMAKE_COMPILER_IS_GNUCXX)
+    if(CMAKE_BUILD_TYPE STREQUAL "Release")
+        # strip symbols (TODO: add also for clang)
+        SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -s")
+    endif()
+    
+    # hardening (TODO: add also for clang/Cygwin)
+    add_compile_options(-fstack-protector-strong)
+    add_compile_options(-fPIE)
+    SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
+    if(NOT CYGWIN)
+        SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -z now")
+    endif()
 endif()
 
 # support 2GB+ files on 32bit systems

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 list(APPEND dablin_sources
     dabplus_decoder.cpp
+    ensemble_source.cpp
+    ensemble_player.cpp
+    edi_source.cpp
+    edi_player.cpp
     eti_source.cpp
     eti_player.cpp
     dab_decoder.cpp

=== debian/changelog ===
dablin (1.12.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:18 +0100

dablin (1.12.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Dec 2019 09:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://www.opendigitalradio.org/
 
 Package: dablin

## dablin 1.13.0

=== debian/changelog ===
dablin (1.13.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 26 Apr 2020 16:58:42 -0400

dablin (1.13.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 15 Apr 2020 23:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dablin
 Section: hamradio
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.opendigitalradio.org/
 
 Package: dablin

=== debian/rules ===
#!/usr/bin/make -f
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## dablin 1.14.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
     mot_manager.cpp
     pad_decoder.cpp
     dablin_gtk.cpp
+    dablin_gtk_dl_plus.cpp
     dablin_gtk_sls.cpp
     )

=== debian/changelog ===
dablin (1.14.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Bump debhelper version to 13, drop d/compat.
  * d/copyright: bump years.
  * d/upstream/metadata: added.

 -- Gürkan Myczko <tar@debian.org>  Wed, 12 Jan 2022 19:11:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: dablin
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
-Standards-Version: 4.5.0
+Maintainer: Gürkan Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
+Standards-Version: 4.6.0
 Homepage: http://www.opendigitalradio.org/
 
 Package: dablin

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,3 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## dablin 1.15.0

=== debian/changelog ===
dablin (1.15.0-1build3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:19:48 +0200

dablin (1.15.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:02 +1100

dablin (1.15.0-1build1) noble; urgency=medium

  * No-change rebuild against libglibmm-2.4-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2024 16:00:10 +0000

dablin (1.15.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/rules: Remove explicit linking option -Wl,--not-needed.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Oct 2023 12:55:33 -0400

dablin (1.14.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #972989)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 10:12:38 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dablin
 Section: hamradio
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://www.opendigitalradio.org/
 
 Package: dablin

## dablin 1.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Project setup
 ########################################################################
 
-cmake_minimum_required(VERSION 2.8.4)
+cmake_minimum_required(VERSION 3.0)
 project(dablin C CXX)
 
 # Select the release build type by default to get optimization flags

=== debian/changelog ===
dablin (1.16.0-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Updated patch metadata information.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Jun 2024 16:16:03 +0200

dablin (1.16.0-1) unstable; urgency=medium

  * QA upload
  * New upstream release (Closes: #1068513)
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Apr 2024 23:10:14 +0200

## dablin 1.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Project setup
 ########################################################################
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.10)
 project(dablin C CXX)
 
 # Select the release build type by default to get optimization flags

=== doc/CMakeLists.txt ===
########################################################################
# Add docs install rules.
########################################################################

if(NOT MAN_INSTALL_DIR)
    set(MAN_INSTALL_DIR "share/man")
endif()

# dablin
install(FILES dablin.1 DESTINATION ${MAN_INSTALL_DIR}/man1/)

# dablin_gtk
if(GTKMM_FOUND)
    install(FILES dablin_gtk.1 DESTINATION ${MAN_INSTALL_DIR}/man1/)
endif()

=== fec/CMakeLists.txt ===
########################################################################
# Project setup
########################################################################

project(libfec ASM C)


########################################################################
# Compiler specific setup
########################################################################

if((CMAKE_SYSTEM_PROCESSOR MATCHES "i386|i686|x86|AMD64") AND (CMAKE_SIZEOF_VOID_P EQUAL 4))
    set(TARGET_ARCH "x86")
elseif((CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|AMD64") AND (CMAKE_SIZEOF_VOID_P EQUAL 8))
    set(TARGET_ARCH "x64")
elseif((CMAKE_SYSTEM_PROCESSOR MATCHES "i386") AND (CMAKE_SIZEOF_VOID_P EQUAL 8) AND (APPLE))
    # Mac is weird like that.
    set(TARGET_ARCH "x64")
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^arm*")
    set(TARGET_ARCH "ARM")
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)64le")
    set(TARGET_ARCH "ppc64" "ppc64le")
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)64")
    set(TARGET_ARCH "ppc64" "ppc")
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)")
    set(TARGET_ARCH "ppc")
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_CLANGCC)
    add_definitions(-Wall)
    add_definitions(-Wno-unused)

    if(TARGET_ARCH MATCHES "x64")
         add_definitions(-fPIC)
         add_definitions(-msse2)
    elseif(TARGET_ARCH MATCHES "x86")
         add_definitions(-mmmx)
         add_definitions(-msse)
         add_definitions(-msse2)
    elseif(TARGET_ARCH MATCHES "ppc|ppc64")
         add_definitions(-fno-common)
         add_definitions(-faltivec)
    endif()

endif()


########################################################################
# Find build dependencies
########################################################################

find_library(M_LIB m REQUIRED)


########################################################################
# Checks for features.
########################################################################

include(CheckIncludeFile)
check_include_file("stdio.h"            HAVE_STDIO_H)
check_include_file("stdlib.h"           HAVE_STDLIB_H)
check_include_file("string.h"           HAVE_STRING_H)

include(CheckFunctionExists)
check_function_exists("memset"           HAVE_MEMSET)
check_function_exists("memmove"          HAVE_MEMMOVE)


########################################################################
# Setup apps
########################################################################

set(libfec_sources
    encode_rs_char.c
    decode_rs_char.c
    init_rs_char.c
)


########################################################################
# Setup libraries
########################################################################

add_library(fec STATIC ${libfec_sources})
set_target_properties(fec PROPERTIES LINKER_LANGUAGE C)
target_link_libraries(fec ${M_LIB})


########################################################################
# Build the tests
########################################################################

add_subdirectory(test)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     pcm_output.cpp
     tools.cpp
     version.cpp
+    wav_output.cpp
     )
 
 set(dablin_cli_sources

=== fec/test/CMakeLists.txt ===
########################################################################
# Checks for features.
########################################################################

include(CheckIncludeFile)
check_include_file("stdio.h"            HAVE_STDIO_H)
check_include_file("stdlib.h"           HAVE_STDLIB_H)
check_include_file("memory.h"           HAVE_MEMORY_H)
check_include_file("time.h"           HAVE_TIME_H)

include(CheckFunctionExists)
check_function_exists("memset"           HAVE_MEMSET)


########################################################################
# Build the executables and set up the tests
########################################################################

include_directories(.. ${CMAKE_CURRENT_BINARY_DIR})

add_executable(rs_speedtest rs_speedtest.c)
target_link_libraries(rs_speedtest fec)
add_test(rs_speedtest rs_speedtest)

add_executable(rstest rstest.c)
target_link_libraries(rstest fec)
add_test(rstest rstest)

=== debian/changelog ===
dablin (1.16.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fixes FTBFS with CMake 4. (Closes: #1112825)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 19:51:17 +0300

=== debian/control ===
Source: dablin
Section: hamradio
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfaad-dev,
               libgtkmm-3.0-dev,
               libmpg123-dev,
               libsdl2-dev,
Standards-Version: 4.7.0
Homepage: http://www.opendigitalradio.org/
Vcs-Browser: https://salsa.debian.org/debian/dablin
Vcs-Git: https://salsa.debian.org/debian/dablin.git

Package: dablin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: CLI and GTK+ GUI DAB & DAB+ receiver client
 This plays a DAB and DAB+ audio service – either from a received live
 transmission or from a stored ensemble recording (frame-aligned ETI-
 NI). Both DAB (MP2) and DAB+ (AAC-LC, HE-AAC, HE-AAC v2) services are
 supported by DABlin.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 %:
 	dh $@

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/Opendigitalradio/dablin/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
